
Application: gvSIG desktop - gvSIG bugs #1002
No se pueden borrar registros/Can't remove rows
08/28/2012 12:51 PM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2051 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: tabla, tablas, table, tables, row, rows, registro, registrosProyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

ESP - No se pueden borrar registros:
Pasos
1.- Abrir gvSIG
2.- Abrir Tabla NUEVA
3.- Abrir tabla concejos.navarra.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/)
4.- Menú Tabla/Comenzar Edición
5.- Seleccionar un registro
6.- Borrar registro seleccionado (No hay ningún problema, todo correcto)
7.- Seleccionar dos registros
8.- Borrar registros seleccionados y sale una pantalla de error: "Can't perform action 'table-remove-row'."

ENG - Can't remove rows:
Steps
1.- Open gvSIG
2.- Open NEW table
3.- Open layer concejos.navarra.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/)
4.- Table menu and Start Editing
5.- Select a row
6.- Remove the row selected (there is no problem, everything is ok)
7.- Select two rows
8.- Remove selected row and appears an error message: "Can't perform action 'table-remove-row'."

History
#1 - 10/04/2012 12:17 PM - Manuel Madrid
- Target version set to 2.0.0-rc1

#2 - 10/16/2012 11:14 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#3 - 10/16/2012 04:00 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Fixed bad use of iterators when deleting rows.
gvsig-desktop:r39068

#4 - 10/22/2012 03:42 PM - Juan Lucas Domínguez

gvsig-desktop:r39081

Improved deletion of selected rows. Deleting from fset and disabling listeners to prevent refreshment of table (after removing item) which causes
selection clear

#5 - 11/13/2012 10:09 AM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2057

#6 - 11/13/2012 10:13 AM - Abenchara Socorro

Deleting rows is possible in build 2057
